{
    attributes = (
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "ETY_CODE"; 
            externalType = VARCHAR2; 
            name = etyCode; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 6; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ETY_CODE_MEN"; 
            externalType = VARCHAR2; 
            name = etyCodeMen; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ETY_DEFINITION"; 
            externalType = VARCHAR2; 
            name = etyDefinition; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2048; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ETY_LIBELLE"; 
            externalType = VARCHAR2; 
            name = etyLibelle; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 255; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ETY_SIGLE_CORPS"; 
            externalType = VARCHAR2; 
            name = etySigleCorps; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = "FPR_KEY"; 
            externalType = NUMBER; 
            name = fprKey; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
            width = 8; 
        }
    ); 
    attributesUsedForLocking = (etyCode, etyDefinition, etyLibelle, fprKey, etyCodeMen, etySigleCorps); 
    className = "org.cocktail.mangue.modele.mangue.lolf.EOEmploiType"; 
    classProperties = (
        etyDefinition, 
        etyLibelle, 
        etyCodeMen, 
        etySigleCorps, 
        etyCode, 
        dCreation, 
        dModification, 
        toFamilleProfessionnelle, 
        tosRepartEmploiActivite, 
        tosRepartEmploiCompetence
    ); 
    externalName = "GRHUM.EMPLOI_TYPE_OLD"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            etyDefinition, 
            etyLibelle, 
            toFamilleProfessionnelle, 
            etyCode, 
            etyCodeMen, 
            etySigleCorps, 
            tosRepartEmploiActivite, 
            tosRepartEmploiCompetence
        ); 
        "_nameInObjectStore" = "GRHUM.EMPLOI_TYPE"; 
    }; 
    name = EmploiType; 
    primaryKeyAttributes = (etyCode); 
    relationships = (
        {
            destination = FamilleProfessionnelle; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fprKey; sourceAttribute = fprKey; }); 
            name = toFamilleProfessionnelle; 
        }, 
        {
            deleteRule = EODeleteRuleCascade; 
            destination = RepartEmploiActivite; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = etyCode; sourceAttribute = etyCode; }); 
            name = tosRepartEmploiActivite; 
        }, 
        {
            deleteRule = EODeleteRuleCascade; 
            destination = RepartEmploiCompetence; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = etyCode; sourceAttribute = etyCode; }); 
            name = tosRepartEmploiCompetence; 
        }
    ); 
}
